<!-- this template comes from .ci/release_template.md -->

<!-- Don't forget to delete the previous betas after publishing this!
git push -d origin --REPLACE-WITH-BETA-LIST--
 -->

<!-- This list of binaries should be updated every time the ci is changed to
include different targets -->
<pre>
<b>Pre-compiled binaries we serve:</b>
 - <kbd>Windows 7/8/10 (32-bit)</kbd></i>
 - <kbd>Windows 7/8/10 (64-bit)</kbd></i>
 - <kbd>macOS 10.14</kbd> ("Mojave")</i>
 - <kbd>macOS 10.15</kbd> ("Catalina")</i>
 - <kbd>macOS 11.0</kbd> ("Big Sur")</i>
 - <kbd>Ubuntu 18.04</kbd> ("Bionic Beaver")</i>
 - <kbd>Ubuntu 20.04</kbd> ("Focal Fossa")</i>
 - <kbd>Ubuntu 20.10</kbd> ("Groovy Gorilla")</i>
 - <kbd>Debian 10</kbd> ("Buster")</i>
 - <kbd>Fedora 33</kbd></i>
<kbd>We are also packaged in Arch Linux's official community repository, courtesy of @FFY00</kbd></i>
<kbd>General linux support is available via a flatpak package (Flathub)</kbd></i>
</pre>

## General Notes

<!-- --REPLACE-WITH-RELEASE-TITLE-- should be placed here by the ci -->
We're pleased to announce the newest official release: <kbd>--REPLACE-WITH-RELEASE-TITLE--</kbd>

We hope you enjoy the changes made and we have listed all changes, with their corresponding tickets, since the last version of Cockatrice was released for your convenience.

If you ever encounter a bug, have a suggestion or idea, or feel a need for a developer to look into something, please feel free to [open a ticket](https://github.com/Cockatrice/Cockatrice/issues). ([How to create a GitHub Ticket for Cockatrice](https://github.com/Cockatrice/Cockatrice/wiki/How-to-Create-a-GitHub-Ticket-Regarding-Cockatrice))

For any information relating to Cockatrice, please take a look at our official site: **https://cockatrice.github.io**

If you'd like to help contribute to Cockatrice in any way, check out our [README](https://github.com/Cockatrice/Cockatrice#get-involved-). We're always available to answer questions you may have on how the program works and how you can provide a meaningful contribution.

## Upgrading Cockatrice
- Run the internal software updater: <kbd>Help → Check for Client Updates</kbd>

Don't forget to update your card database right after! (<kbd>Help → Check for Card Updates...</kbd>)

## Changelog
<!--
This list is generated and should be moved to their repective header and
possibly edited a little.
Move pr numbers of fixups into their main pr to keep the list coherent.
Remove empty headers after.
Use these label badges for highlighting important and key changes:
<kbd>New!</kbd>
<kbd>Fixed!</kbd> or <kbd>Resolved!</kbd>

--REPLACE-WITH-GENERATED-LIST--
 -->

### User Interface
### Under the Hood
### Oracle
### Servatrice
### Webatrice

## Translations
- **Thanks for over 300 people contributing to 20+ different languages up to now!**
- Without the help of the community we couldn't offer that great language support... keep up the good work!
- It's actually very easy to join and help for yourself - find out more here:
    - [Help us Translate Cockatrice into your native language!](https://github.com/Cockatrice/Cockatrice/wiki/Translation-FAQ)

## Special Thanks
<!-- Personalise this a bit! -->
We continue to find it amazing that so many people contribute their time, knowledge, code, testing and more to the project. We'd like to thank the entire Cockatrice community for their efforts.
<!-- We'd like to especially recognize @ZeldaZach, --ADD-CONTRIBUTORS-HERE-- for their help in preparing so many amazing new features for the user base. -->
